﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _1411367
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        Rectangle rect1;
        public RadForm1()
        {
            InitializeComponent();

            commandBarStripElement2.EnableFloating = true;
            commandBarStripElement1.EnableFloating = true;

            radCommandBar1.FloatingStripCreated += RadCommandBar1_FloatingStripCreated;
            radCommandBar1.FloatingStripCreated += RadCommandBar1_FloatingStripCreated;

            commandBarStripElement1.EndDrag += CommandBarStripElement1_EndDrag;
            commandBarStripElement2.EndDrag += CommandBarStripElement1_EndDrag;
        }
       

        private void CommandBarStripElement1_EndDrag(object sender, EventArgs e)
        {
            if (radCommandBar1.Rows.Count == 0 || radCommandBar1.Rows[0].Strips.Count == 0)
            {
                radCommandBar1.Visible = false;
            }
            else
            {
                radCommandBar1.Visible = true;
            }

            if (radCommandBar2.Rows.Count == 0 || radCommandBar2.Rows[0].Strips.Count == 0)
            {
                radCommandBar2.Visible = false;
            }
            else
            {
                radCommandBar2.Visible = true;
            }
        }

        private void RadCommandBar1_FloatingStripCreated(object sender, EventArgs e)
        {
            if (radCommandBar1.Rows.Count == 0 || radCommandBar1.Rows[0].Strips.Count == 0)
            {
                radCommandBar1.Visible = false;
            }
            else
            {
                radCommandBar1.Visible = true;
            }

            if (radCommandBar2.Rows.Count == 0 || radCommandBar2.Rows[0].Strips.Count == 0)
            {
                radCommandBar2.Visible = false;
            }
            else
            {
                radCommandBar2.Visible = true;
            }
        }
    }
}
